import * as __WEBPACK_EXTERNAL_MODULE__data_source_collection_field_interface_CollectionFieldInterface_mjs__ from "../../data-source/collection-field-interface/CollectionFieldInterface.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__properties_index_mjs__ from "./properties/index.mjs";
function _define_property(obj, key, value) {
    if (key in obj) Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
    });
    else obj[key] = value;
    return obj;
}
class UpdatedAtFieldInterface extends __WEBPACK_EXTERNAL_MODULE__data_source_collection_field_interface_CollectionFieldInterface_mjs__.CollectionFieldInterface {
    constructor(...args){
        super(...args), _define_property(this, "name", 'updatedAt'), _define_property(this, "type", 'object'), _define_property(this, "group", 'systemInfo'), _define_property(this, "order", 2), _define_property(this, "title", '{{t("Last updated at")}}'), _define_property(this, "sortable", true), _define_property(this, "default", {
            type: 'date',
            field: 'updatedAt',
            uiSchema: {
                type: 'string',
                title: '{{t("Last updated at")}}',
                'x-component': 'DatePicker',
                'x-component-props': {},
                'x-read-pretty': true
            }
        }), _define_property(this, "availableTypes", [
            'date'
        ]), _define_property(this, "properties", {
            ...__WEBPACK_EXTERNAL_MODULE__properties_index_mjs__.defaultProps,
            ...__WEBPACK_EXTERNAL_MODULE__properties_index_mjs__.dateTimeProps
        }), _define_property(this, "filterable", {
            operators: __WEBPACK_EXTERNAL_MODULE__properties_index_mjs__.operators.datetime
        }), _define_property(this, "titleUsable", true);
    }
}
export { UpdatedAtFieldInterface };
